https://management-test.adyen.com/v1/companies/{companyId}/shippingLocationsReturns the shipping locations for the company identified in the path and all merchant accounts belonging to the company. A shipping location includes the address where orders can be delivered, and an ID which you need to specify when ordering terminal products. To make this request, your API credential must have one of the following roles: * Management API—Terminal ordering read * Management API—Terminal ordering read and write
The unique identifier of the company account.
The name of the shipping location.
The number of locations to skip.
The number of locations to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/shippingLocations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/companies/{companyId}/shippingLocationsReturns the shipping locations for the company identified in the path and all merchant accounts belonging to the company. A shipping location includes the address where orders can be delivered, and an ID which you need to specify when ordering terminal products. To make this request, your API credential must have one of the following roles: * Management API—Terminal ordering read * Management API—Terminal ordering read and write
The unique identifier of the company account.
The name of the shipping location.
The number of locations to skip.
The number of locations to return.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://management-test.adyen.com/v1/companies/{companyId}/shippingLocations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}